{
  "compilerOptions": {
    "target": "es2022",
    "useDefineForClassFields": true,
    "module": "esnext",
    "lib": ["ES2022", "DOM", "DOM.Iterable"],
    "skipLibCheck": true,

    /* Bundler mode */
    "moduleResolution": "bundler",
    "allowImportingTsExtensions": true,
    "isolatedModules": true,
    "moduleDetection": "force",
    "noEmit": true,
    "jsx": "react-jsx",

    /* Linting */
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedSideEffectImports": true,

    "experimentalDecorators": true,
    "emitDecoratorMetadata": true,
    "baseUrl": ".",
    "paths": {
      "~/*": ["tests/*"],
      "@/*": ["src/*"],
      "@d8d/server/*": ["../packages/server/src/*"],
      "@d8d/test-utils": ["../packages/test-utils/src/index.ts"],
      "@d8d/test-utils/server": ["../packages/test-utils/src/server/index.ts"],
      "@d8d/test-utils/*": ["../packages/test-utils/src/*"]
    },
  },
  "include": ["src", "tests"],
  "references": [
    { "path": "./tsconfig.node.json" },
    { "path": "../packages/server" },
    { "path": "../packages/test-utils" }
  ]
}
